PACMAN-KEY(8)

NOM
pacman-key - gère la liste des clefs d'authentification reconnues par pacman

SYNOPSIS

pacman-key [options] operation [cibles]

DESCRIPTION

pacman-key est un script polyvalent fondé sur des appels à GnuPG pour gérer le trousseau de clefs de pacman, c'est-à-dire la collection des clefs chiffrées par l'algorithme PGP, servant à authentifier les paquetages et bases de données signés. Il permet en particulier d'importer et d'exporter des clefs, de récupérer des clefs sur des serveurs et d'actualiser la clef correspondante dans la base de données des niveaux de sécurité des clefs.

Il est possible d'assurer une gestion plus fine du trousseau en appelant directement GnuPG avec l'option --homedir pour la faire pointer sur le trousseau de pacman (situé dans /etc/pacman.d/gnupg par défaut).

On lance pacman-key en précisant l'opération à exécuter avec un certain nombre d'options et la liste des cibles sur lesquelles la commande doit opérer. Selon la nature de l'opération, la cible sera tantôt l'identificateur d'une clef valide, tantôt un nom de fichier ou enfin un répertoire.

OPÉRATIONS

-a, --add
    Ajoute au trousseau de pacman les clefs contenues dans un ou plusieurs fichier(s). Si une clef est déjà présente, l'actualiser.

-d, --delete
    Supprimer du trousseau de pacman une clef donnée par son identifiant.

-e, --export
    Renvoie sur la sortie standard stdout une ou plusieurs clefs désignées par leurs identifiants ; si aucun identifiant n'est précisé, renvoie toutes les clefs.

--edit-key
    Propose pour les clefs données par leurs identifiants un menu, pour leur gestion ; utile pour régler le niveau de sécurité des clefs.

-f, --finger
    Renvoie une empreinte digitale pour chaque identifiant de clef, ou pour toutes les clefs si aucun identifiant n'est précisé.

-h, --help
    Afficher la syntaxe et les options de la ligne de commande.

--import
    Importe dans le trousseau public des clefs depuis le trousseau pubring.gpg des répertoires indiqués.

--import-trustdb
    Importe dans la base de données partagée des clefs reconnues, les niveaux de sécurité de clefs contenues dans la base de données trustdb.gpg des répertoires indiqués.

--init
    Vérifie que le trousseau est correctement initialisé et qu'il possède les droits d'accès requis.

-l, --list-keys
    Énumère toutes les clef du trousseau, ou seulement celles demandées.

--list-sigs
    Identique à --list-keys, mais avec les signatures en plus.

--lsign-key
    Approuve localement la clef donnée. Principalement utilisé pour enraciner la toile de confiance sur celle de la clef privée locale créée avec --init.

--nocolor
    Désactive la coloration des affichages de pacman-key.

-r, --recv-keys
    Équivalent à l'option --recv-keys de GnuPG.

--refresh-keys
    Équivalent à l'option --refresh-keys de GnuPG.

--populate
    Régénère les clefs par défaut à partir des trousseaux (fournis ou non) présents dans /usr/share/keyrings. Pour plus d'informations, voir FOURNIR UN TROUSSEAU POUR L'IMPORTATION ci-après.

-u, --updatedb
    Équivalent à l'option --check-trustdb de GnuPG. Cette opération peut être demandée conjointement avec d'autres opérations.

-V, --version
    Affiche la version du programme.

-v, --verify
    Considère le premier argument comme une signature et cherche à l'authentifier. S'il y a un deuxième argument, ce doit être le nom du fichier à authentifier.

    S'il n'y a qu'un argument, suppose que cette signature est un radical de nom de fichier, et cherche un fichier de données à authentifier en retirant l'extension des noms des fichiers présents. Si aucun fichier correspondant n'est trouvé, se rabat sur la syntaxe de GnuPG et cherche un fichier portant une signature dans son nom.

OPTIONS

--config <fichier>
    Utilise le fichier de configuration proposé au lieu de /etc/pacman.conf qui est le fichier par défaut.

--gpgdir <répertoire>
    Désigne un nouveau répertoire home pour GnuPG. Si aucun répertoire n'est donné, la valeur sera lue dans /etc/pacman.conf.

--keyserver <serveur>
    Utilise le serveur indiqué comme serveur de clefs si l'opération nécessite une autorisation. Aura priorité sur toute option de serveur spécifiée dans un fichier gpg.conf. L'utilisation de --init en conjonction avec cette option branchera sur le serveur de clefs par défaut s'il n'y en a pas déjà un de configuré.

FOURNIR UN TROUSSEAU POUR L'IMPORTATION

Il peut être nécessaire d'importer dans le trousseau de pacman des clefs PGP depuis une distribution ou un dépôt pour la signature de leurs paquetages et bases de données de dépôts. Il faut pour cela fournir un fichier de trousseau PGP, disons foo.gpg, qui contienne les clefs du trousseau foo présent dans le répertoire /usr/share/keyrings.

De manière optionnelle, le fichier authentifié par foo peut contenir une liste d'identifiants de clefs reconnues par ce trousseau. Le format de ce fichier doit être compatible avec la sortie de gpg --export-ownertrust. Ce fichier dira à l'utilisateur quelles clefs un client doit authentifier et valider pour construire une toile de confiance locale, en plus d'assigner au propriétaire un niveau de sécurité.

Toujours de manière optionnelle, un fichier révoqué par foo peut contenir une liste d'identifiants de clefs révoquées pour ce trousseau. "Révoqué" signifie "périmé pour toute authentification", et donc à n'utiliser qu'avec circonspection. Une clef marquée comme révoquée sera désactivée dans le trousseau et ne sera plus regardée comme valide, de sorte que ce classement a toujours priorité sur le fait que la même clef est authentifiée par un autre trousseau.

VOIR AUSSI

pacman(8), pacman.conf(5)

Consulter le site internet de pacman à l'adresse https://.archlinux.org/pacman/ pour de nouvelles informations sur pacman et ses outils associés.

BOGUES

Bogues ? C'est une blague ; il n'y a pas de bogues dans ce logiciel. Mais s'il y en a, envoyez-les au système de suivi de bogues à l'adresse https://gitlab.archlinux.org/pacman/pacman/-/issues avec des informations spécifiques telles que votre ligne de commande, la nature du bogue et même la base de données du paquetage si cela peut aider.

AUTEURS

Développeurs actuels :

    • Allan McRae <allan@archlinux.org>

    • Andrew Gregory <andrew.gregory.8@gmail.com>

    • Morgan Adamiec <morganamilo@archlinux.org>

Contributeurs antérieurs majeurs :

    • Judd Vinet <jvinet@zeroflux.org>

    • Aurelien Foret <aurelien@archlinux.org>

    • Aaron Griffin <aaron@archlinux.org>

    • Dan McGee <dan@archlinux.org>

    • Xavier Chantry <shiningxc@gmail.com>

    • Nagy Gabor <ngaba@bibl.u-szeged.hu>

    • Dave Reisner <dreisner@archlinux.org>

    • Eli Schwartz <eschwartz@archlinux.org>

Pour des contributeurs supplémentaires, utiliser git shortlog -s sur le dépôt pacman.git.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Jacques Brioist <jean.brioist@numericable.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.